<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T15:48:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.0.1074, 4.1.474, 4.2.193
 
Tested:
 
In my system I have a PPRO and I have a ECM + SPS attached to com port b that comes from PPRO. Com port A goes into my LAN switch. I also have power supply cable from 1st LEMO output to ECM to power this unit up. 
 
With ISF editor that Justin has maintained (zipped up and attached)
 
I create a new ISF File 
 
**I had 1 load cell with EID attached to SIM and grabbed this EID from FWTU**
 
Grabbed this EID and placed in EID (yellow) and clicked SaveID
 
I then grabbed TCF Filename and changed to QA1 file (attached)
 
 
Navigate back to File Menu and save as ISF
 
Before initializing DataPRO put the tcf file into a TCF folder inside DTS.Suite like so:
 
 
 
I then updated hwipranges.txt file (attached) with my known hardware's IP address inside the file with the following syntax
 
192.168.4.103, 192.168.4.103
 192.168.0.101, 192.168.0.101
 
and added this file inside the version of DataPRO I'm running
 
In DataPRO import the ISF file and run your test
 

  In check Trigger step:
 
 
When running diagnostics step with a PPRO it automatically gets passed and therefore it is skipped from the results as stated by John:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-10-18T23:07:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-13T16:35:33Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-12T21:57:58Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-09T16:53:46Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-13T15:39:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-05T15:07:45Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-20T18:04:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-06-20T18:04:10Z</TimeStamp>
    <ReleaseNote>Addresses an issue with ISF import and PowerPRO</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-20T16:10:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment>Related to 30297</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-15T23:03:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment>Changes:
 
 
Add PowerPRO to DASHardware.IsEthernetDevice
 
In Diagnostics, add "or Is Battery" bool to filter out PowerPRO from checks
 
 
Testing:
 
 
Set system settings to use Full (not quick) Trigger Check. Set the Check Trigger step ON in Test Setup Settings
 
Add a PowerPRO to DataPRO. Keep it online
 
Set up your system according to a known good ISF import
 
Import the ISF file in Test Setup Import
 
Run the test. The PowerPRO should be discovered and included in the test at the Check Trigger step. It should also be skipped in the Diagnostics step.
 
 
Committed to v4.0 maint, v4.1 maint, and v4.2 dev in r49101</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-06-15T22:22:57Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-06-14T22:15:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment>Stealing</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-06-12T18:58:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-07T14:41:07Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-07T14:17:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T16:11:50Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-09T21:46:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>moving to 4.1.19</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-09T14:21:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>would also be nice if Kate's issue could be checked out at the same time:
 
There is a GM issue for powerpro (not included in test causing issues in trigger check).  I received that issue via teams, so I'll just make a note of it here:
 http://manuscript.dts.local/f/cases/30580/PowerPRO-not-part-of-test-when-doing-an-ISF-import.
 during our check out of this issue [MS 30580] we can also test this case at the same time I think.
 
 
 
from ZD11606, attached.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-26T17:05:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-25T18:26:08Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-25T15:19:38Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-24T22:16:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-04-24T16:42:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>reported by nate:
 
[9:30 AM] Nathan Brown
 
We're taking notes but want to keep you in the loop - another thing is the PPRO isn't discovered during GM's ISF import. This gets caught in the Full trigger check (not quick) when we see status line fail</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-04-24T16:42:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>